
#define	KMDUART		0x1fff1000000LL	/* keyboard/mouse uart */
#define	KMFREQ		78500000		/* found experimentally.. Documented somewhere? */
#define	EIADUART		0x1fff1100000LL	/* ttyA/ttyB uart */
#define	EIAFREQ		5000000			/* XXX likely wrong */
#define	HME			0x1ffe8c00000LL	/* ethernet */
#define	SBUS			0x1fe00000000LL	/* sbus and iommu registers */

extern ulong sbusreg;
extern ulong iommureg;

enum { 
	SbusIntrMapLo = 0x3000,
	SbusIntrMapHi = 0x3090,
	SbusIntrClrLo = 0x3800,

	SbusIntrSerial = 0x7e8,
	SbusIntrMapSerial = 0x3028,
	SbusIntrClrSerial = 0x3828,

	SbusIntrHme = 0x7e1,
	SbusIntrMapHme = 0x3008,
	SbusIntrClrHme = 0x3808,

	SbusIntrTimer1 = 0x7f1,
};

